#ifndef STACK_H
#define STACK_H
#include"Node.cpp"

template<class T>
class Stack
{

public:
	Stack();
	T pop();
	void   push (T  x);
	T   top();
	int   isEmpty();

private:
    Node<T>* head;
    Node<T>* rear;

};
#endif
